Package org.apache.velocity.util.introspection

# Class IntrospectionCacheData

java.lang.Object
org.apache.velocity.util.introspection.IntrospectionCacheData

public class IntrospectionCacheData extends Object
Holds information for node-local context data introspection information.

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Field Summary

Fields
Modifier and Type
Field
Description
`Class<?>`
`contextData`
Class of context data object associated with the introspection information
`Object`
`thingy`
Object to pair with class - currently either a Method or AbstractExecutor.

## Constructor Summary

Constructors
Constructor
Description
`IntrospectionCacheData()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### thingy

public Object thingy
Object to pair with class - currently either a Method or AbstractExecutor. It can be used in any way the using node wishes.

### contextData

public Class<?> contextData
Class of context data object associated with the introspection information

## Constructor Details

### IntrospectionCacheData

public IntrospectionCacheData()